| Crypto-3.0.3: DES, Blowfish, AES, SHA1, MD5, RSA, X.509 Identity and Attribute Certificates, General ASN.1 Support, Base64, PKCS8, PKCS1v15, Hexdump, Support for Word128, Word192 and Word256 and Beyond, PKCS5 Padding, Various Encryption Modes e.g. Cipher Block Chaining all in one package. | Contents | Index
Data.Digest.MD5 |
Portability | portable
Stability | experimental
Maintainer | dominic.steinitz@blueyonder.co.uk
Contents
Function Types
Description
Takes the MD5 module supplied by Ian Lynagh and wraps it so it takes [Octet] and returns [Octet] where the length of the result is always 16. See http://web.comlab.ox.ac.uk/oucl/work/ian.lynagh/ and http://www.ietf.org/rfc/rfc1321.txt.
Synopsis
hash :: [Octet] -> [Octet]
Function Types
hash :: [Octet] -> [Octet]
Take [Octet] and return [Octet] according to the standard. The length of the result is always 16 octets or 128 bits as required by the standard.
Produced by Haddock version 0.8